"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var RatingComponent = (function () {
    function RatingComponent() {
        this.rating = 0;
        this.starCount = 5;
        this.displayratingtext = "true";
        this.disable = "false";
        this.onRatingSelected = new core_1.EventEmitter();
    }
    RatingComponent.prototype.ngOnChanges = function () {
        this.SetRating(this.rating);
    };
    RatingComponent.prototype.ratingMouseLeave = function () {
        if (this.disable == 'false') {
            this.SetRating(this.rating);
        }
    };
    RatingComponent.prototype.ratingMouseEnter = function (rating) {
        if (this.disable == 'false') {
            this.selectedRating = rating;
            this.SetRating(rating);
        }
    };
    RatingComponent.prototype.ratingSelected = function () {
        if (this.disable == 'false') {
            this.onRatingSelected.emit({
                "selectedRating": this.selectedRating.toString(),
                "ratingID": this.ratingID.toString()
            });
        }
    };
    RatingComponent.prototype.SetRating = function (rating) {
        var givenRatting = rating;
        this.starCountArray = Array(parseInt(this.starCount.toString()));
        var isOdd = false;
        if ((givenRatting % 1) > 0) {
            isOdd = true;
        }
        for (var i = 0; i < this.starCount; i++) {
            if (isOdd) {
                if (Math.ceil(givenRatting - 1) == i) {
                    this.starCountArray[i] = 0.5;
                    continue;
                }
            }
            if (i < givenRatting) {
                this.starCountArray[i] = 1;
            }
            else {
                this.starCountArray[i] = 0;
            }
        }
    };
    return RatingComponent;
}());
__decorate([
    core_1.Input("rating"),
    __metadata("design:type", Number)
], RatingComponent.prototype, "rating", void 0);
__decorate([
    core_1.Input("starCount"),
    __metadata("design:type", Number)
], RatingComponent.prototype, "starCount", void 0);
__decorate([
    core_1.Input("ratingID"),
    __metadata("design:type", Object)
], RatingComponent.prototype, "ratingID", void 0);
__decorate([
    core_1.Input("ratingcss"),
    __metadata("design:type", String)
], RatingComponent.prototype, "ratingcss", void 0);
__decorate([
    core_1.Input("halfstarcss"),
    __metadata("design:type", String)
], RatingComponent.prototype, "halfstarcss", void 0);
__decorate([
    core_1.Input("fullstarcss"),
    __metadata("design:type", String)
], RatingComponent.prototype, "fullstarcss", void 0);
__decorate([
    core_1.Input("emptystarcss"),
    __metadata("design:type", String)
], RatingComponent.prototype, "emptystarcss", void 0);
__decorate([
    core_1.Input("displayratingtext"),
    __metadata("design:type", String)
], RatingComponent.prototype, "displayratingtext", void 0);
__decorate([
    core_1.Input("disable"),
    __metadata("design:type", String)
], RatingComponent.prototype, "disable", void 0);
__decorate([
    core_1.Output(),
    __metadata("design:type", Object)
], RatingComponent.prototype, "onRatingSelected", void 0);
RatingComponent = __decorate([
    core_1.Component({
        moduleId: module.id.replace('jscode', 'app'),
        selector: 'rating',
        template: "\n    <div [ngClass]=\"[ratingcss===undefined?'rating':ratingcss ]\">\n        <ul>\n            <li *ngFor=\"let rating of starCountArray;let i = index;\" (click)=\"ratingSelected()\">\n                <i *ngIf=\"rating===0.5\" [ngClass]=\"[halfstarcss===undefined?'fa fa-star-half-o': halfstarcss]\" (mouseenter)=\"ratingMouseEnter(i+1)\"\n                    (mouseleave)=\"ratingMouseLeave()\"></i>\n                <i *ngIf=\"rating===1\" [ngClass]=\"[fullstarcss===undefined?'fa fa-star':fullstarcss]\" (mouseenter)=\"ratingMouseEnter(i+1)\"\n                    (mouseleave)=\"ratingMouseLeave()\"></i>\n                <i *ngIf=\"rating===0\" [ngClass]=\"[emptystarcss===undefined?'fa fa-star-o':emptystarcss]\" (mouseenter)=\"ratingMouseEnter(i+1)\"\n                    (mouseleave)=\"ratingMouseLeave()\"></i>\n            </li>\n            <p *ngIf=\"displayratingtext==='true'\">{{rating}}</p>\n        </ul>\n    </div>\n  ",
        styles: ["\n    .rating ul {\n        list-style: none !important;\n        display: inline-flex !important;\n        color: #673ab7;\n        padding: 0;\n        margin: 0;\n    }\n\n    .rating ul li {\n        padding: 0;\n        margin: 0;\n        font-size: 20px;\n        cursor: hand;\n        cursor: pointer;\n    }\n\n    .rating p {\n        font-size: 10px;\n    }\n  "]
    }),
    __metadata("design:paramtypes", [])
], RatingComponent);
exports.RatingComponent = RatingComponent;
